The Better Qmail on Ubuntu packages have been updated to work with Xenial Xerus, the current LTS version of Ubuntu. For more information on the package, check out the previous posts:

Using Better Qmail on Ubuntu? I’d like to hear about your experiences with it in the comments.